Bug 1217 - ISDN Bonding, PPP 2.3.X and higher
ISDN Bonding, PPP 2.3.X and higher
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
5.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-17 10:25 EST by Christopher Scott Kindley
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-01 16:23:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Scott Kindley 1999-02-17 10:25:20 EST
Using duel channel bonding on external ISDN modems not
possible with this version shipped with RedHat 5.2.
Downgrading to ppp-2.2.0f-5 from the 5.0 distribution allows
normal use of both b channels bonded. Only errors listed in
/var/logs/message was a connect script error. However
WITHOUT modifying anything and just downgrading to
ppp-2.2.0f-5 only this error disappeared. Below is the error
given.

Feb 16 18:46:20 ns ifup-ppp: pppd started for ppp0 on
/dev/modem at 115200
Feb 16 18:46:20 ns pppd[1117]: pppd 2.3.5 started by root,
uid 0
Feb 16 18:46:21 ns chat[1119]: abort on (BUSY)
Feb 16 18:46:21 ns chat[1119]: abort on (ERROR)
Feb 16 18:46:21 ns chat[1119]: abort on (NO CARRIER)
Feb 16 18:46:21 ns chat[1119]: abort on (NO DIALTONE)
Feb 16 18:46:21 ns chat[1119]: abort on (Invalid Login)
Feb 16 18:46:21 ns chat[1119]: abort on (Login incorrect)
Feb 16 18:46:21 ns chat[1119]: send
(at&fs=s60=64s71=1s80=1^M)
Feb 16 18:46:21 ns chat[1119]: expect (OK)
Feb 16 18:46:21 ns chat[1119]: at&fs=s60=64s71=1s80=1^M^M
Feb 16 18:46:21 ns pppd[1117]: Connect script failed
Feb 16 18:46:21 ns chat[1119]: ERROR
Feb 16 18:46:21 ns chat[1119]:  -- failed
Feb 16 18:46:21 ns chat[1119]: Failed (ERROR)
Feb 16 18:46:22 ns pppd[1117]: Exit.

And below is the snip with ppp working with both b channels
after owngrade to ppp-2.2.0f-5

Feb 17 09:53:32 ns pppd[1096]: pppd 2.2.0 started by root,
uid 0
Feb 17 09:53:33 ns chat[1098]: abort on (BUSY)
Feb 17 09:53:33 ns chat[1098]: abort on (ERROR)
Feb 17 09:53:33 ns chat[1098]: abort on (NO CARRIER)
Feb 17 09:53:33 ns chat[1098]: abort on (NO DIALTONE)
Feb 17 09:53:33 ns chat[1098]: abort on (Invalid Login)
Feb 17 09:53:33 ns chat[1098]: abort on (Login incorrect)
Feb 17 09:53:33 ns chat[1098]: send (at&fs60=64s71=1s80=1^M)
Feb 17 09:53:33 ns chat[1098]: expect (OK)
Feb 17 09:53:33 ns chat[1098]: at&fs60=64s71=1s80=1^M^M
Feb 17 09:53:33 ns chat[1098]: OK -- got it
Feb 17 09:53:33 ns chat[1098]: send (ATD7562814^M)
Feb 17 09:53:34 ns chat[1098]: expect (CONNECT)
Feb 17 09:53:34 ns chat[1098]: ^M
Feb 17 09:53:35 ns chat[1098]: ATD7562814^M^M
Feb 17 09:53:35 ns chat[1098]: CONNECT -- got it
Feb 17 09:53:35 ns chat[1098]: send (^M)
Feb 17 09:53:35 ns pppd[1096]: Serial connection
established.
Feb 17 09:53:36 ns pppd[1096]: Using interface ppp0
Feb 17 09:53:36 ns pppd[1096]: Connect: ppp0 <--> /dev/ttyS0
Feb 17 09:53:37 ns pppd[1096]: Remote message: Login
Succeeded
Comment 1 Preston Brown 1999-03-29 16:54:59 EST
we are very interested in knowing whether ppp 2.3.6, which is
available in the RawHide Tree and/or Red Hat Linux 5.9 beta, has fixed
your problem.  We don't have access to ISDN in the test lab so we
cannot verify that the problem still exists.  If you could get the
SRPM from RawHide and build it on your system, and test whether or not
the problem has been corrected, we would greatly appreciate it.

------- Email Received From  Scott Kindley <scott@kindley.net> 04/01/99 04:59 -------
Comment 2 Preston Brown 1999-04-01 16:23:59 EST
fix is to put asyncmap 0 in the options file.

Note You need to log in before you can comment on or make changes to this bug.